/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Models.ChequeClt;

import javafx.beans.property.SimpleIntegerProperty;
import javafx.beans.property.SimpleStringProperty;

/**
 * @author Maher
 */
public class ChequeCltHistoriqueListe {
    
    private final SimpleStringProperty IdHistorique;
    private final SimpleIntegerProperty Etat;        // 0 cheque sans provision     1 Verser (Valider)   2 Contre chéque(espace)
    private final SimpleIntegerProperty Source;      // 0==>Cheque(table cheque_clt)  1==>Traite(table traite_paiement_cheque_clt)
    private final SimpleStringProperty IdCheque;
    private final SimpleStringProperty DateOperation;
    private final SimpleStringProperty HeurOperation;
    private final SimpleStringProperty Utilisateur;  //(Nom Prenom Profile utilisateur)
    private final SimpleStringProperty Locale;
    
    public ChequeCltHistoriqueListe(String id_historique, Integer etat, Integer source, String id_cheque, String date_operation, String heur_operation, String utilisateur, String locale) {
        this.IdHistorique = new SimpleStringProperty(id_historique);
        this.Etat = new SimpleIntegerProperty(etat);
        this.Source = new SimpleIntegerProperty(source);
        this.IdCheque = new SimpleStringProperty(id_cheque);
        this.DateOperation = new SimpleStringProperty(date_operation);
        this.HeurOperation = new SimpleStringProperty(heur_operation);
        this.Utilisateur = new SimpleStringProperty(utilisateur);
        this.Locale = new SimpleStringProperty(locale);
    }
    
    public String getIdCheque() {
        return IdCheque.get();
    }
    
    public String getIdHistorique() {
        return IdHistorique.get();
    }
    
    public Integer getEtat() {
        return Etat.get();
    }
    
    public Integer getSource() {
        return Source.get();
    }
    
    public String getDateOperation() {
        return DateOperation.get();
    }
    
    public String getHeurOperation() {
        return HeurOperation.get();
    }
    
    public String getUtilisateur() {
        return Utilisateur.get();
    }
    
    public String getLocale() {
        return Locale.get();
    }
    
    
}
